local GetKingInfoMessage = BaseClass("GetKingInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self, serverId)
  base.OnCreate(self)
  self.sfsObj:PutInt("serverId", toInt(serverId))
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  DataCenter.GovernmentManager:GetKingInfoHandler(t)
end
GetKingInfoMessage.OnCreate = OnCreate
GetKingInfoMessage.HandleMessage = HandleMessage
return GetKingInfoMessage
